[next] [tail] [up]

#### 8.4.1 Options

The output of h2pas can be controlled with the following options:

-d
  Use external; for all procedure and function declarations.
-D
  Use external libname name ’func_name’ for function and procedure declarations.
-e
  Emit a series of constants instead of an enumeration type for the C enum construct.
-i
  Create an include file instead of a unit (omits the unit header).
-l
  libname specify the library name for external function declarations.
-o
  outfile Specify the output file name. Default is the input file name with the extension replaced by .pp
-p
  Use the letter P in front of pointer type parameters instead of
-s
  Strip comments from the input file. By default comments are converted to comments, but they may be displaced, since a comment is handled by the scanner.
-t
  Prepend typedef type names with the letter T (used to follow Borland’s convention that all types should be defined with T).
-v
  Replace pointer parameters with call by reference parameters. Use with care because some calls can expect a Nil pointer.
-w
  Header file is a win32 header file (adds support for some special macros).
-x
  Handle SYS_TRAP of the PalmOS header files.

[next] [front] [up]